Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.mssql
Class TMssqlIfElse

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.mssql.TMssqlIfElse

All Implemented Interfaces:
  Visitable

    public class TMssqlIfElse

extends TCustomSqlStatement

This class represents if and while SQL statement of SQL Server.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TMssqlIfElse(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TExpression` | `getCondition()`
`TCustomSqlStatement` | `getElseStmt()`
`TCustomSqlStatement` | `getStmt()`
`int` | `getStmtType()` if or while SQL statement this class represents for.
`TMssqlCreateTriggerUpdateColumnList` | `getUpdateColumnList()`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getLabelName, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setLabelName, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TMssqlIfElse

    public TMssqlIfElse(EDbVendor dbvendor)

Method Detail

### getElseStmt

    public TCustomSqlStatement getElseStmt()

### getStmt

    public TCustomSqlStatement getStmt()

### getCondition

    public TExpression getCondition()

### getUpdateColumnList

    public TMssqlCreateTriggerUpdateColumnList getUpdateColumnList()

### getStmtType

    public int getStmtType()

  if or while SQL statement this class represents for.

  Returns:

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD